﻿Imports Telerik.Web.UI
Imports System.Xml

Partial Class DefaultVB
    Inherits System.Web.UI.Page

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click

        Dim xDoc As New XmlDocument()
        xDoc.Load(Request.PhysicalApplicationPath + "tabs.xml")

        Dim nList As XmlNodeList = xDoc.SelectNodes("//SubProduct[@TabName=""Product2""]")
        If nList.Count > 0 Then
            For Each nTab As XmlNode In nList
                Dim sCtrlName As String = nTab.Attributes.GetNamedItem("pName").Value
                Dim tabName As String = nTab.Attributes.GetNamedItem("TabName").Value

                RadTabStrip1.FindTabByText("Product2").Tabs.Add(CreateTab(tabName, sCtrlName))

            Next
        End If
    End Sub

    Protected Function CreateTab(ByVal tabName As String, ByVal tabValue As String) As RadTab
        Dim tab As RadTab = New RadTab(tabName, tabValue)
        Dim pageView As RadPageView = New RadPageView
        pageView.ID = tabValue
        RadMultiPage1.PageViews.Add(pageView)
        tab.PageViewID = pageView.ID
        Return tab
    End Function

    Protected Sub RadMultiPage1_PageViewCreated(ByVal sender As Object, ByVal e As RadMultiPageEventArgs) Handles RadMultiPage1.PageViewCreated
        Dim userControlName As String = e.PageView.ID & ".ascx"
        Dim userControl As Control = Page.LoadControl(userControlName)
        userControl.ID = e.PageView.ID & "_userControl"
        e.PageView.Controls.Add(userControl)
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            RadTabStrip1.Tabs.Add(CreateTab("Product2", "Product2"))
        End If
    End Sub
End Class
